<script lang="ts">
export default {
  name: 'Accolades',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
};
</script>

<template>
  <section class="accolades-wrapper">
    <SlpContainer>
      <div class="flex">
        <div class="content">
          <SlpTypography tag="h2" variant="heading2-bold" class="slp-mb-8">
            {{ data.header }}
          </SlpTypography>
          <SlpTypography
            v-if="data.subtitle"
            tag="p"
            variant="heading4"
            class="slp-mb-24"
          >
            {{ data.subtitle }}
          </SlpTypography>
          <SlpButton
            v-if="data.button"
            :href="data.button.href"
            variant="secondary"
            :data-ga-name="data.data_ga_name"
            :data-ga-location="data.data_ga_location"
          >
            {{ data.button.text }}
            <SlpIcon
              class="learn-more-icon slp-ml-8"
              name="chevron-lg-right"
              variant="product"
            />
          </SlpButton>
        </div>
        <div class="badges">
          <img
            v-for="badge in data.badges"
            :key="badge.src"
            width="95px"
            :alt="badge.alt"
            :src="badge.src"
          />
        </div>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.accolades-wrapper {
  padding: $spacing-96 0;
  background: $color-surface-700;
  color: $color-text-50;

  @media (max-width: $breakpoint-md) {
    padding: $spacing-64 0;
  }

  .slp-btn {
    @media (max-width: $breakpoint-md) {
      width: 100%;
      justify-content: center;
    }
  }

  .flex {
    display: flex;

    @media (max-width: $breakpoint-md) {
      flex-wrap: wrap;
    }
  }

  .badges {
    display: flex;
    flex: 1 0 50%;
    flex-wrap: wrap;
    gap: 42px;
    justify-content: flex-end;
    position: relative;

    @media (max-width: $breakpoint-md) {
      margin-top: $spacing-32;
      justify-content: flex-start;
      gap: 32px;
    }
  }
}
</style>
